curl --request POST \
--url https://v1.api.altostrat.io/reports/sla/schedules/{scheduleId}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_date": "2025-10-01",
"to_date": "2025-10-31"
}
'import requests
url = "https://v1.api.altostrat.io/reports/sla/schedules/{scheduleId}/run"
payload = {
"from_date": "2025-10-01",
"to_date": "2025-10-31"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({from_date: '2025-10-01', to_date: '2025-10-31'})
};
fetch('https://v1.api.altostrat.io/reports/sla/schedules/{scheduleId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Report is being generated."
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Run a Report On-Demand
Triggers an immediate, on-demand generation of a report for a specified date range. This does not affect the regular schedule. The report generation is asynchronous and the result will appear in the Generated Reports list when complete.
Authorizations
Enter your authentication token.
Path Parameters
The unique identifier for the SLA report schedule to run, prefixed with sla_.
^sla_[0-9a-zA-Z]{27}$"sla_2ayc4Yy6w3g7Y2j4g4g4Yy6w3g7"
Body
The date range for the on-demand report.
Specifies the date range for an on-demand report run.
The start date for the report data (inclusive), in YYYY-MM-DD format. Must be before to_date and before tomorrow.
"2025-10-01"
The end date for the report data (inclusive), in YYYY-MM-DD format. Must be after from_date and before tomorrow.
"2025-10-31"
Response
Accepted. The report generation has been queued successfully.
"Report is being generated."
Was this page helpful?